## org.apache.catalina.net
Class DefaultServerSocketFactory

    java.lang.Object
      org.apache.catalina.net.DefaultServerSocketFactory

All Implemented Interfaces:
  ServerSocketFactory

public final class DefaultServerSocketFactory
extends java.lang.Object
implements ServerSocketFactory

Default server socket factory, which returns unadorned server sockts.

Author:
  db@eng.sun.com, Harish Prabandham, Craig R. McClanahan

Constructor Summary
`DefaultServerSocketFactory()`

Method Summary
`java.net.ServerSocket` `createSocket(int port)` Returns a server socket which uses all network interfaces on the host, and is bound to a the specified port.
`java.net.ServerSocket` `createSocket(int port, int backlog)` Returns a server socket which uses all network interfaces on the host, is bound to a the specified port, and uses the specified connection backlog.
`java.net.ServerSocket` `createSocket(int port, int backlog, java.net.InetAddress ifAddress)` Returns a server socket which uses only the specified network interface on the local host, is bound to a the specified port, and uses the specified connection backlog.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultServerSocketFactory

    public DefaultServerSocketFactory()

Method Detail

### createSocket

    public java.net.ServerSocket createSocket(int port)
                                       throws java.io.IOException,
                                              java.security.KeyStoreException,
                                              java.security.NoSuchAlgorithmException,
                                              java.security.cert.CertificateException,
                                              java.security.UnrecoverableKeyException,
                                              java.security.KeyManagementException

  Returns a server socket which uses all network interfaces on the host, and is bound to a the specified port. The socket is configured with the socket options (such as accept timeout) given to this factory.

  Specified by:
    `createSocket` in interface `ServerSocketFactory`
  Parameters:
    `port` - the port to listen to
  Throws:
    `java.io.IOException` - input/output or network error
    `java.security.KeyStoreException` - error instantiating the KeyStore from file (SSL only)
    `java.security.NoSuchAlgorithmException` - KeyStore algorithm unsupported by current provider (SSL only)
    `java.security.cert.CertificateException` - general certificate error (SSL only)
    `java.security.UnrecoverableKeyException` - internal KeyStore problem with the certificate (SSL only)
    `java.security.KeyManagementException` - problem in the key management layer (SSL only)

### createSocket

    public java.net.ServerSocket createSocket(int port,
                                              int backlog)
                                       throws java.io.IOException,
                                              java.security.KeyStoreException,
                                              java.security.NoSuchAlgorithmException,
                                              java.security.cert.CertificateException,
                                              java.security.UnrecoverableKeyException,
                                              java.security.KeyManagementException

  Returns a server socket which uses all network interfaces on the host, is bound to a the specified port, and uses the specified connection backlog. The socket is configured with the socket options (such as accept timeout) given to this factory.

  Specified by:
    `createSocket` in interface `ServerSocketFactory`
  Parameters:
    `port` - the port to listen to
    `backlog` - how many connections are queued
  Throws:
    `java.io.IOException` - input/output or network error
    `java.security.KeyStoreException` - error instantiating the KeyStore from file (SSL only)
    `java.security.NoSuchAlgorithmException` - KeyStore algorithm unsupported by current provider (SSL only)
    `java.security.cert.CertificateException` - general certificate error (SSL only)
    `java.security.UnrecoverableKeyException` - internal KeyStore problem with the certificate (SSL only)
    `java.security.KeyManagementException` - problem in the key management layer (SSL only)

### createSocket

    public java.net.ServerSocket createSocket(int port,
                                              int backlog,
                                              java.net.InetAddress ifAddress)
                                       throws java.io.IOException,
                                              java.security.KeyStoreException,
                                              java.security.NoSuchAlgorithmException,
                                              java.security.cert.CertificateException,
                                              java.security.UnrecoverableKeyException,
                                              java.security.KeyManagementException

  Returns a server socket which uses only the specified network interface on the local host, is bound to a the specified port, and uses the specified connection backlog. The socket is configured with the socket options (such as accept timeout) given to this factory.

  Specified by:
    `createSocket` in interface `ServerSocketFactory`
  Parameters:
    `port` - the port to listen to
    `backlog` - how many connections are queued
    `ifAddress` - the network interface address to use
  Throws:
    `java.io.IOException` - input/output or network error
    `java.security.KeyStoreException` - error instantiating the KeyStore from file (SSL only)
    `java.security.NoSuchAlgorithmException` - KeyStore algorithm unsupported by current provider (SSL only)
    `java.security.cert.CertificateException` - general certificate error (SSL only)
    `java.security.UnrecoverableKeyException` - internal KeyStore problem with the certificate (SSL only)
    `java.security.KeyManagementException` - problem in the key management layer (SSL only)

Copyright ? 2000-2002 Apache Software Foundation. All Rights Reserved.